<template>
  <footer>
    <div class="container">
    <div class="top">
      <h2 class="title">
        Let's work together
      </h2>
      <div class="contacts">
        <div class="contacts__item">
          <span class="contacts__item__title">
            For all questions
          </span>
          <span class="contacts__item__info">
            <span><a href="tel:+7(920)278—00—68">+7 (920) 278—00—68</a></span><br>
            <span><a href="mailto:qtim@agency.com">qtim@agency.com</a></span>
          </span>
        </div>
        <div class="contacts__item">
          <span class="contacts__item__title">
            Office in Russia
          </span>
          <span class="contacts__item__info">
            <span>139 Ruben Station Lake</span><br> 
            <span>Drew, NM 52678</span><br>
          </span>
          <Button round slim>
            <img src="../assets/img/Location.svg" alt="">
          </Button>
        </div>
        <div class="contacts__item">
          <span class="contacts__item__title">
            Office in Dubai
          </span>
          <span class="contacts__item__info">
            <span> 139 Ruben Station Lake </span><br> 
            <span>Drew, NM 52678M</span><br>
          </span>
          <Button round slim>
            <img src="../assets/img/Location.svg" alt="">
          </Button>
        </div>
      </div>
    </div>
    <div class="bottom">
      <div class="bottom_links">
        <a href="">Facebook</a>
        <a href="">Instagram</a>
        <a href="">Telegram</a>
      </div>
      <a href="" class="go-link">Go</a>
      <div class="bottom_links">
        <a href="">Behance</a>
        <a href="">Linkedn</a>
        <a href="">Privacy Policy</a>
      </div>
    </div>
    </div>

  </footer>
</template>
<script lang="ts">
import { defineComponent } from 'vue'
import Button from '../components/Button.vue'

export default defineComponent({
  components:{
    Button,
  }
})
</script>
<style lang="scss" scoped>
footer{
  background: var(--pink);
  overflow: hidden;

  .container{
    max-width: 1216px;
    margin: 0 auto;
    padding: 213px 0px 30px 0px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .top{
    display: flex;
    width: 100%;
    justify-content: space-between;


    .title{
      padding: 0;
      margin: 0;
      font-size: 112px;
      font-weight: 300;
      width: 464px;
      text-decoration: underline;
      text-decoration-thickness: 2px;
      text-underline-offset: 15px;
      position: relative;

      &::before{
        top: -76px;
        position: absolute;
        content: 'Is there a project?';
        font-size: 16px;
        font-weight: 500;
      }
    }

    .contacts{
      display: flex;
      flex-direction: column;
      font-size: 16px;
      margin-bottom: 20px;

      &__item{
        display: flex;
        flex-direction: column;
        margin-bottom: 38px;
        justify-content: flex-start;

        &__title{
          margin-bottom: 20px;
        }

        &__info{
          margin-bottom: 10px;
          span{
            margin-bottom: 10px;
          }
          a{
            text-decoration: none;
            color: var(--black);

            &:hover{
              text-decoration: underline;
            }
          }
        }
      }
    }
  }

  .bottom{
    margin-top: 260px;
    display: flex;
    justify-content: space-between;
    position: relative;

    &::before{
      content: '';
      width: 358px;
      height: 358px;
      background: black;
      position: absolute;
      border-radius: 100%;
      left: calc(50% - 358px/2);
      top: -120px;
      z-index: 1;
      color: white;
    }

    .bottom_links{
      a{
        font-size: 16px;
        text-decoration: underline;
        text-decoration-thickness: 1px;
        text-underline-offset: 7px;
        color: var(--black);
        margin-right: 30px;

        &:last-child{
          margin: 0;
        }
      }
    }

    .go-link{
      position: absolute;
      font-size: 32px;
      color: white;
      text-decoration: none;
      z-index: 1;
      bottom: 0px;
      left: calc(50% - 18px);
    }
  }
}
</style>